using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATLabel")]
[Index("LabelId", Name = "ATLabel_IX_LabelID")]
[Index("ProcessId", Name = "ATLabel_IX_ProcessID")]
public partial class Atlabel
{
    [Key]
    [Column("LabelID")]
    public int LabelId { get; set; }

    [Column("ProcessID")]
    public int ProcessId { get; set; }

    [StringLength(255)]
    public string? Label { get; set; }

    [StringLength(255)]
    public string? Style { get; set; }
}
